Page MenuHomePhabricator

Allow addition of source-mode-only sequences to special character inserter in 2017 Wikitext Editor
Closed, ResolvedPublic1 Story Points

Description

I've tried it on mediawiki.org, but I have to turn it off due to the lack of a MediaWiki:Edittools where I can easily click a button to insert <tvar|></> or similar code on translatable pages :(

Note this is different from T52296: VisualEditor: Provide a character insertion tool since here we want to provide random wikitext to insert, not just characters. I guess this should be available only in wikitext mode and not in visual mode.

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 25 2016, 7:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Dvorapa removed a subscriber: Dvorapa.
Dvorapa added a subscriber: Dvorapa.
Jdforrester-WMF closed this task as Declined.Jan 18 2017, 4:04 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

You want to customise the character insertion for the wiki; see https://www.mediawiki.org/wiki/VisualEditor/Special_characters.

You want to customise the character insertion for the wiki; see https://www.mediawiki.org/wiki/VisualEditor/Special_characters.

But this solution does not solve the problem creator described. Edittools currently adds commonly used strings, not only characters, which definitely should be somehow incorporated in NWE.

Ciencia_Al_Poder reopened this task as Open.Jan 18 2017, 8:30 PM

Per previous comment, VE doesn't support adding wikitext, which is what's requested here for the wikitext editor.

Esanders closed this task as Declined.Feb 13 2017, 7:13 PM
Esanders added a subscriber: Esanders.

The tools in the toolbar already add wikitext and most of the tools in edittools are already supported elsewhere in the toolbar. Anything else missing can be considered on a case by case basis, but we are not going to integrate the existing edittools message as requested.

Ciencia_Al_Poder reopened this task as Open.Feb 13 2017, 8:25 PM

we are not going to integrate the existing edittools message as requested.

The request is, literally (note the emphasis): Add MediaWiki:Edittools (or similar)

If you don't want to add the existing edittools message, provide a similar way to add pieces of wikitext to be inserted like it exists in the classic wikitext editor.

You want to customise the character insertion for the wiki; see https://www.mediawiki.org/wiki/VisualEditor/Special_characters.

But this solution does not solve the problem creator described. Edittools currently adds commonly used strings, not only characters, which definitely should be somehow incorporated in NWE.

That tool is not limited to single characters.

Change 357385 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Allow special character items to be marked as source mode only

https://gerrit.wikimedia.org/r/357385

Change 357385 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Allow special character items to be marked as source mode only

https://gerrit.wikimedia.org/r/357385

Change 358426 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8b8bc2f70)

https://gerrit.wikimedia.org/r/358426

Change 358426 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8b8bc2f70)

https://gerrit.wikimedia.org/r/358426

Deskana renamed this task from NWE: Add MediaWiki:Edittools (or similar) to Allow addition of source-mode-only sequences to special character inserter in 2017 Wikitext Editor.Jun 13 2017, 9:57 AM
Deskana closed this task as Resolved.
Deskana assigned this task to Esanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 13 2017, 9:57 AM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.Jun 13 2017, 9:57 AM
Jdforrester-WMF set the point value for this task to 1.Jun 13 2017, 5:27 PM